<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page

  //ISO 10383:1992 Codes for exchanges and market identification (MIC)
  
  if ($connexion){ // si connexion à la base réussi
    
    if(isset($_GET["ordre"])){ 
      $ordre = $_GET["ordre"];
    }else{
      $ordre = 'institutionmic';
    }
    
    echo "<h4 class='titre'>$MICTitre[$lang]</h4>";
    
    $requete="Select * from freepay_mic order by $ordre ASC, institutionmic ASC;";
    if(mysql_select_db($base,$connexion)){
      $resultat = mysql_query($requete,$connexion); //connexion de la requete
      $ligne=mysql_fetch_assoc($resultat); //affichage des résultats
      
      if (!empty($ligne)){
        echo '
        <table width="100%">
          <tr>
            <th><a href="'.$AdresseFreePay.'services/MIC/MIC_afficher.php?ordre=mic">MIC</a></th>
            <th><a href="'.$AdresseFreePay.'services/MIC/MIC_afficher.php?ordre=institutionmic">'.$ICNomInstFi[$lang].'</a></th>
            <th><a href="'.$AdresseFreePay.'services/MIC/MIC_afficher.php?ordre=villemic">'.$ICNomVille[$lang].'</a></th>
            <th><a href="'.$AdresseFreePay.'services/MIC/MIC_afficher.php?ordre=codepaysmic">'.$ICCodePays[$lang].'</a></th>
            <th><a href="'.$AdresseFreePay.'services/MIC/MIC_afficher.php?ordre=nompaysmic">'.$ICNomPays[$lang].'</a></th>
            <th><a href="'.$AdresseFreePay.'services/MIC/MIC_afficher.php?ordre=accrmic">ACCR</a></th>
          </tr>';
  
        while($ligne) //titre des champs
        {   
          echo '
          <tr>
            <td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
          onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >'.$ligne["mic"].'</td>
            <td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
          onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >';
              if( !empty($ligne["urlmic"]) ) {
                echo '<a href="'.$ligne["urlmic"].'">'.$ligne["institutionmic"].'</a>';
              }else{
                echo $ligne["institutionmic"];
              }
             echo '
             </td>
            <td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
          onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >'.$ligne["villemic"].'</td>
            <td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
          onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >'.$ligne["codepaysmic"].'</td>
            <td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
          onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >'.$ligne["nompaysmic"].'</td>
          
            <td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
          onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >'.$ligne["accrmic"].'</td>
          </tr>';
          $ligne=mysql_fetch_assoc($resultat);
        }
        echo '
        </table>';
      }else{
        echo "<p class='info'>Aucun MIC enregistrée pour le moment.</p>";
      }
    
    }else{ 
      echo "<p class='erreur'>La base '<strong>$base</strong>' est introuvable sur <strong>MySQL</strong>. Il faut l'installer.</p>";
    }
    
  }else{
    echo '<p class="info"><strong>La connexion à la base de donnée à échoué.</strong></p>';
  }
  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page

?>
